Update an app integration SMS

Updates an app integration SMS by the given id.

put
Path parameters
idstringRequired

The app integration SMS id.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Provides a data transfer object for the SMS integration which is used for command requests.

appIntegrationIdstring · min: 1Required

The app integration provider ID of the SMS.

namestring · min: 1Required

The name of the SMS integration.

usernamestring · min: 1Required

The username or identifier for the SMS integration. For Twilio, this is the Account SID (String Identifier).

passwordstring · min: 1Required

The password or authentication token for the SMS integration. For Twilio, this is the Auth Token.

phoneNumberstring · min: 1Required

The phone number of the SMS integration. The phone number should be following the E.164 format.

descriptionstring · nullableOptional

The description of the SMS integration.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
isDefaultbooleanOptional

Flag to indicate if the app integration SMS setting is default. By default, it is false.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/app-integrations/sms/{id}

Last updated